package intrinsic.mx.graphics;

public class ImageSnapshot extends Object {

	/** Accessors */
	public int width;
	public int height;
	public intrinsic.flash.utils.ByteArray data;
	public Object properties;
	public String contentType;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";
	public static final int MAX_BITMAP_DIMENSION = 0;

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Class defaultEncoder;

/** Contructors */
public ImageSnapshot() {
}

public ImageSnapshot(Object arg0) {
}

public ImageSnapshot(Object arg0, Object arg1) {
}

public ImageSnapshot(Object arg0, Object arg1, Object arg2) {
}

public ImageSnapshot(Object arg0, Object arg1, Object arg2, Object arg3) {
}


/** Static Methods */
public static native String encodeImageAsBase64(intrinsic.mx.graphics.ImageSnapshot arg0);
public static native intrinsic.flash.display.BitmapData captureBitmapData(intrinsic.flash.display.IBitmapDrawable arg0);
public static native intrinsic.flash.display.BitmapData captureBitmapData(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1);
public static native intrinsic.flash.display.BitmapData captureBitmapData(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1, intrinsic.flash.geom.ColorTransform arg2);
public static native intrinsic.flash.display.BitmapData captureBitmapData(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1, intrinsic.flash.geom.ColorTransform arg2, String arg3);
public static native intrinsic.flash.display.BitmapData captureBitmapData(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1, intrinsic.flash.geom.ColorTransform arg2, String arg3, intrinsic.flash.geom.Rectangle arg4);
public static native intrinsic.flash.display.BitmapData captureBitmapData(intrinsic.flash.display.IBitmapDrawable arg0, intrinsic.flash.geom.Matrix arg1, intrinsic.flash.geom.ColorTransform arg2, String arg3, intrinsic.flash.geom.Rectangle arg4, boolean arg5);
public static native intrinsic.mx.graphics.ImageSnapshot captureImage(intrinsic.flash.display.IBitmapDrawable arg0);
public static native intrinsic.mx.graphics.ImageSnapshot captureImage(intrinsic.flash.display.IBitmapDrawable arg0, double arg1);
public static native intrinsic.mx.graphics.ImageSnapshot captureImage(intrinsic.flash.display.IBitmapDrawable arg0, double arg1, intrinsic.mx.graphics.codec.IImageEncoder arg2);
public static native intrinsic.mx.graphics.ImageSnapshot captureImage(intrinsic.flash.display.IBitmapDrawable arg0, double arg1, intrinsic.mx.graphics.codec.IImageEncoder arg2, boolean arg3);

/** Methods */

}
